クラスターの作成 (V1)
ノート
新しいクラスターを作成します。
POST/v1/clusters/create
https://controller.api.${CLOUD_REGION}.zillizcloud.com
📘ノート
${CLOUD_REGION}を、デプロイに適したリージョンに置き換える必要があります。- クラウドリージョンIDを取得するには、Zilliz Cloudコンソールまたはクラウドリージョンの一覧を参照してください。
shell
export CLOUD_REGION="gcp-us-west1"
export BASE_URL="https://controller.api.${CLOUD_REGION}.zillizcloud.com"
パラメータ
Authorizationstringheader必要
認証トークンは、適切な権限を持つ API key である必要があります。
値の例: Bearer {{TOKEN}}
リクエスト・ボディapplication/json
planstring必要
作成するクラスターのサブスクリプションプラン。
clusterNamestring必要
作成するクラスターの名前。
cuSizeinteger必要
クラスターで使用される CU のサイズ。
値の範囲: ≥ 1≤ 256
cuTypestring必要
クラスターで使用される CU のタイプ。
projectIdstring必要
クラスターを作成するプロジェクトの ID。
値の例: proj-xxxxxxxxxxxxxxxxxxxxxx
bash
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${BASE_URL}/v1/clusters/create" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"cuSize": 1,
"clusterName": "Cluster-02",
"projectId": "proj-xxxxxxxxxxxxxxxxxxxxxx",
"plan": "Standard",
"cuType": "Performance-optimized"
}'
レスポンス200 OK - application/json
作成されたクラスターの詳細を含むオブジェクトを返します。
成功レスポンス。
codeinteger
レスポンスコード。
dataobject
作成された専用クラスターに関する情報を含むオブジェクトであるレスポンスペイロード。
clusterIdstring
この操作の対象となるクラスターの ID。
usernamestring
デフォルトで生成されるクラスターユーザー名。
passwordstring
デフォルトで生成されるクラスターユーザーのパスワード。再度表示されないため、記録して安全に保管してください。
promptstring
この操作が成功したことを示す文。
エラーメッセージを返します。
codeinteger
レスポンスコード。
messagestring
エラーメッセージ。
Successjson
{
"code": 200,
"data": {
"clusterId": "inxx-xxxxxxxxxxxxxxx",
"username": "db_admin",
"password": "xxxxxxxxxxxxxxxx",
"prompt": "successfully submitted, cluster is being created. You can access data about the creation progress and status of your cluster by DescribeCluster API. Once the cluster status is RUNNING, you may access your vector database using the SDK with the admin account and the initial password you specified."
}
}